Bug 842061 - [abrt] gtkpod-2.1.1-3.fc17: strlen: Process /usr/bin/gtkpod was killed by signal 11 (SIGSEGV)
[abrt] gtkpod-2.1.1-3.fc17: strlen: Process /usr/bin/gtkpod was killed by sig...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtkpod (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
abrt_hash:0b8dd27fde836d8302fa15eb509...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-21 10:28 EDT by John King
Modified: 2013-08-01 08:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:39:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.72 KB, text/plain)
2012-07-21 10:28 EDT, John King
no flags Details
File: xsession_errors (85.50 KB, text/plain)
2012-07-21 10:28 EDT, John King
no flags Details
File: maps (54.67 KB, text/plain)
2012-07-21 10:28 EDT, John King
no flags Details
File: dso_list (10.58 KB, text/plain)
2012-07-21 10:28 EDT, John King
no flags Details
File: build_ids (4.44 KB, text/plain)
2012-07-21 10:29 EDT, John King
no flags Details

  None (edit)
Description John King 2012-07-21 10:28:42 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gtkpod
crash_function: strlen
executable:     /usr/bin/gtkpod
kernel:         3.4.5-2.fc17.x86_64
pid:            2535
pwd:            /home/jejking
time:           Sat 21 Jul 2012 04:19:44 PM CEST
uid:            1000
username:       jejking

backtrace:      Text file, 27364 bytes
build_ids:      Text file, 4551 bytes
dso_list:       Text file, 10831 bytes
maps:           Text file, 55977 bytes
xsession_errors: Text file, 87550 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jejking/2

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x85f31 __strlen_sse2 libc.so.6 -
:e3a9d24d5c6844082f61a6aff89cb9620cef8de9 0x22f13 itdb_shuffle_write_file libgpod.so.4 -
:e3a9d24d5c6844082f61a6aff89cb9620cef8de9 0x245ca itdb_shuffle_write libgpod.so.4 -
:8dadae177d0c1a44f86aca90cc08a0283c35613a 0x243d4 gp_save_itdb libgtkpod.so.1 -
:8dadae177d0c1a44f86aca90cc08a0283c35613a 0x24ea5 gp_eject_ipod libgtkpod.so.1 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x2a251c gtk_widget_activate libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x195c3e gtk_menu_shell_activate_item libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x195fcb - libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x17afdf - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x2a311e - libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x178fa6 - libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x17abb3 gtk_main_do_event libgtk-3.so.0 -
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc 0x48e82 - libgdk-3.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x179f75 gtk_main libgtk-3.so.0 -
:7086054f3caaea193d3d2b03add32b7592b406c5 0x7949 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=jklaptop
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/jejking/.local/bin:/home/jejking/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1004
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=jejking
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-iGtJd0JSSR,guid=4ba591a9450f2328b5c6c9a60000006e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/jejking
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-jejking-bPVDtE/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1008,unix/unix:/tmp/.ICE-unix/1008
:SSH_AUTH_SOCK=/run/user/jejking/keyring-Vd1blK/ssh
:GPG_AGENT_INFO=/run/user/jejking/keyring-Vd1blK/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-gtkpod.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2535

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31189                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31189                31189                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/jejking/.xsession-errors
:pos:	246053
:flags:	0102002
:2:/home/jejking/.xsession-errors
:pos:	246053
:flags:	0102002
:3:socket:[212297]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[212302]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[212304]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[212306]
:pos:	0
:flags:	04002
:11:socket:[212438]
:pos:	0
:flags:	02004002
:12:anon_inode:inotify
:pos:	0
:flags:	02004000

smolt_data:
:
:
:General
:=================================
:UUID: 22b20951-a0ff-4571-99c1-9117256fe6ea
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 3990.30
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core CPU       T4200  @ 2.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2000
:System Memory: 3920
:System Swap: 13193
:Vendor: Dell Inc.
:System: Studio 1555 A12
:Form factor: Portable
:Kernel: 3.4.5-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5348:5784:4136:702) pci, tg3, ETHERNET, NetLink BCM5784M Gigabit Ethernet PCIe
:(32902:10816:4136:702) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4136:702) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(5348:17173:4136:12) pci, wl, NETWORK, Wireless 1397 WLAN Mini-Card
:(32902:10544:4136:702) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4136:702) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4136:702) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:9288:0:0) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10549:4136:702) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4136:702) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4136:702) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4136:702) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4136:702) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4136:702) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(4480:2130:4136:702) pci, None, BASE, xD-Picture Card Controller
:(32902:10566:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(4480:2098:4136:702) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:4136:702) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:1426:4136:702) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(32902:10558:4136:702) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4136:702) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4136:702) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:43576:4136:702) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(4098:38227:4136:702) pci, radeon, VIDEO, M92 [Mobility Radeon HD 4500/5100 Series]
:(32902:10570:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 35800679 32829259 32470920 8962048 8699832 8699832
:/dev/sda1 /boot ext2 4096 4096 515290 493013 466799 131072 130709 130709
:/dev/mapper/luks-e2245919-117c-4682-81d4-469a7f9487e0 /home xfs 4096 4096 38380739 37321867 37321867 153597952 153573722 153573722
:

var_log_messages:
:Jul 21 13:55:01 jklaptop yum[23747]: Installed: gtkpod-2.1.1-3.fc17.x86_64
:Jul 21 15:26:23 jklaptop abrt[7951]: Saved core dump of pid 7942 (/usr/bin/gtkpod) to /var/spool/abrt/ccpp-2012-07-21-15:26:22-7942 (49917952 bytes)
:Jul 21 15:27:19 jklaptop abrt[8010]: Saved core dump of pid 7998 (/usr/bin/gtkpod) to /var/spool/abrt/ccpp-2012-07-21-15:27:19-7998 (57892864 bytes)
:Jul 21 15:31:24 jklaptop abrt[8175]: Saved core dump of pid 8077 (/usr/bin/gtkpod) to /var/spool/abrt/ccpp-2012-07-21-15:31:23-8077 (77025280 bytes)
:Jul 21 15:43:53 jklaptop abrt[1619]: Saved core dump of pid 1581 (/usr/bin/gtkpod) to /var/spool/abrt/ccpp-2012-07-21-15:43:52-1581 (57786368 bytes)
:Jul 21 15:57:11 jklaptop abrt[1795]: Saved core dump of pid 1647 (/usr/bin/gtkpod) to /var/spool/abrt/ccpp-2012-07-21-15:57:10-1647 (76980224 bytes)
:Jul 21 16:19:44 jklaptop kernel: [ 2782.866335] gtkpod[2535]: segfault at 8 ip 00007f69f1ffff31 sp 00007fffa802d2e8 error 4 in libc-2.15.so[7f69f1f7a000+1ac000]
:Jul 21 16:19:44 jklaptop abrt[2641]: Saved core dump of pid 2535 (/usr/bin/gtkpod) to /var/spool/abrt/ccpp-2012-07-21-16:19:44-2535 (82743296 bytes)
Comment 1 John King 2012-07-21 10:28:49 EDT
Created attachment 599528 [details]
File: backtrace
Comment 2 John King 2012-07-21 10:28:52 EDT
Created attachment 599529 [details]
File: xsession_errors
Comment 3 John King 2012-07-21 10:28:55 EDT
Created attachment 599530 [details]
File: maps
Comment 4 John King 2012-07-21 10:28:57 EDT
Created attachment 599531 [details]
File: dso_list
Comment 5 John King 2012-07-21 10:29:00 EDT
Created attachment 599532 [details]
File: build_ids
Comment 6 Fedora End Of Life 2013-07-04 00:05:59 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 08:39:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.